Bug 810705 - [abrt] evolution-3.2.3-2.fc16: camel_dlist_length: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.2.3-2.fc16: camel_dlist_length: Process /usr/bin/evolution...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:93bcbd32603727746816d210ba0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 09:22 EDT by Dagan McGregor
Modified: 2012-04-10 03:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 03:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: gconf_subtree (14.06 KB, text/plain)
2012-04-08 09:22 EDT, Dagan McGregor
no flags Details
File: build_ids (7.45 KB, text/plain)
2012-04-08 09:22 EDT, Dagan McGregor
no flags Details
File: dso_list (20.17 KB, text/plain)
2012-04-08 09:22 EDT, Dagan McGregor
no flags Details
File: maps (93.85 KB, text/plain)
2012-04-08 09:22 EDT, Dagan McGregor
no flags Details
File: backtrace (127.12 KB, text/plain)
2012-04-08 09:22 EDT, Dagan McGregor
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 664023 None None None Never

  None (edit)
Description Dagan McGregor 2012-04-08 09:22:14 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
crash_function: camel_dlist_length
executable:     /usr/bin/evolution
kernel:         3.3.0-8.fc16.x86_64
pid:            12582
pwd:            /home/ardrigh
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Mon 09 Apr 2012 01:05:51 NZST
uid:            1000
username:       ardrigh

backtrace:      Text file, 130173 bytes
build_ids:      Text file, 7626 bytes
dso_list:       Text file, 20651 bytes
gconf_subtree:  Text file, 14400 bytes
maps:           Text file, 96100 bytes

comment:
:Evolution is unable to track mail account on a server, even though I have deleted the account and re-added it.  It tries to access the mail, sometimes times out, but other times just sits there trying to run a process, and not time-out or fail.
:
:Even when I hit stop/cancel it still sits there trying to process mail

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:VIRTUALENVWRAPPER_PROJECT_FILENAME=.project
:HOSTNAME=tighnacheo.pro.local
:PIP_REQUIRE_VIRTUALENV=true
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=70d6d4657ed21f4c5153faef00000032-1333886384.900032-813059853
:GNOME_KEYRING_CONTROL=/tmp/keyring-j41ga6
:IMSETTINGS_MODULE=none
:USER=ardrigh
:USERNAME=ardrigh
:WORKON_HOME=/home/ardrigh/.virtualenv
:PROJECT_HOME=/home/ardrigh/Projects
:MAIL=/var/spool/mail/ardrigh
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ardrigh/.local/bin:/home/ardrigh/bin
:DESKTOP_SESSION=gnome
:VIRTUALENVWRAPPER_HOOK_DIR=/home/ardrigh/.virtualenv
:QT_IM_MODULE=xim
:PIP_VIRTUALENV_BASE=/home/ardrigh/.virtualenv
:PWD=/home/ardrigh
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1615
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/ardrigh
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=ardrigh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TEKC1r318T,guid=1db3bc87e97dbfe5d5d676a20000005e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ardrigh
:DISPLAY=:0
:VIRTUALENVWRAPPER_LOG_DIR=/home/ardrigh/.virtualenv
:XAUTHORITY=/var/run/gdm/auth-for-ardrigh-Jqx8sC/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1622,unix/unix:/tmp/.ICE-unix/1622
:SSH_AUTH_SOCK=/tmp/keyring-j41ga6/ssh
:GPG_AGENT_INFO=/tmp/keyring-j41ga6/gpg:0:1
:LC_TIME=en_NZ.utf8
:LC_NUMERIC=en_NZ.utf8
:LC_MONETARY=en_NZ.utf8
:LC_MEASUREMENT=en_NZ.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2707-tighnacheo.pro.local-evolution-0_TIME3550891
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=12582

smolt_data:
:
:
:General
:=================================
:UUID: 3c04be99-cb6c-4bb8-af59-2126db421818
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4787.65
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 5832
:System Swap: 9213
:Vendor: Acer
:System: Aspire 5740 Rev
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4133:830) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4133:830) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4133:830) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4133:830) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4133:830) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4133:830) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4098:26817:4133:830) pci, radeon, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(4098:43616:4133:830) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(32902:15164:4133:830) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4133:830) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4133:830) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(5348:5778:4133:829) pci, tg3, ETHERNET, Aspire 7740G
:(32902:15170:4133:830) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4133:830) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4133:830) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4133:830) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(5772:42:4187:57375) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-df10fc7a-f178-485e-82aa-d8959d75558a / ext4 4096 4096 3918159 2702927 2506345 983040 801211 801211
:/dev/sda2 /boot ext4 1024 1024 508745 411704 386104 128016 127786 127786
:/dev/mapper/luks-7afa9fa7-5285-4c7f-8a37-27820925d3ef /var ext4 4096 4096 26174432 24774520 23463826 6553600 6479310 6479310
:/dev/mapper/luks-4fe01385-2dea-4801-975d-eb339f9d7fe9 /home ext4 4096 4096 123509347 38809508 32627441 30916608 30870365 30870365
:

var_log_messages:
:Apr  9 01:05:51 tighnacheo kernel: [ 4045.319339] evolution[12731]: segfault at 100000000 ip 000000392a82d9b0 sp 00007fb8d57f9a58 error 4 in libcamel-1.2.so.29.0.0[392a800000+71000]
:Apr  9 01:05:53 tighnacheo abrt[12767]: Saved core dump of pid 12582 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-04-09-01:05:51-12582 (327487488 bytes)

xsession_errors:
:(evolution-alarm-notify:1954): evolution-alarm-notify-WARNING **: alarm.c:260: Requested removal of nonexistent alarm!
:  mv /home/ardrigh/.evolution/cache/http /home/ardrigh/.cache/evolution/http
:  rmdir /home/ardrigh/.evolution/cache
:  rmdir /home/ardrigh/.evolution/addressbook
:  rmdir /home/ardrigh/.evolution/calendar
:  rmdir /home/ardrigh/.evolution/cache
:  rmdir /home/ardrigh/.evolution/memos
Comment 1 Dagan McGregor 2012-04-08 09:22:20 EDT
Created attachment 576033 [details]
File: gconf_subtree
Comment 2 Dagan McGregor 2012-04-08 09:22:22 EDT
Created attachment 576034 [details]
File: build_ids
Comment 3 Dagan McGregor 2012-04-08 09:22:24 EDT
Created attachment 576035 [details]
File: dso_list
Comment 4 Dagan McGregor 2012-04-08 09:22:26 EDT
Created attachment 576036 [details]
File: maps
Comment 5 Dagan McGregor 2012-04-08 09:22:28 EDT
Created attachment 576037 [details]
File: backtrace
Comment 6 Milan Crha 2012-04-10 03:08:42 EDT
Thanks for a bug report. I see from the above that the migration from older version didn't finish properly, thus I suggest to rename (or remove completely, if you are not missing any data from mail/book/calendar/memo/task) the directory /home/ardrigh/.evolution . The migration process moves files and directories to new locations.

I found only one similar crash upstream [1]. The current stable, 3.4.0, which is part of upcoming Fedora 17, contains many fixes in the IMAP+ code. I would try, as a workaround, to change IMAP+ account type to IMAP, which is using older code, but uses to be more stable. Only note that changing basically anything in account preferences requires evolution's restart, before it takes into effect. If you've trouble to start evolution, then run it in offline (evolution --offline) from a terminal, change the account type and then run it in online again (evolution --online).

I'm moving this to the upstream bug meanwhile. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=664023

Note You need to log in before you can comment on or make changes to this bug.